# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
    -   id: trailing-whitespace
        exclude: ^scenarios/
    -   id: end-of-file-fixer
        exclude: ^scenarios/
    -   id: check-yaml
#    -   id: check-xml
    -   id: check-added-large-files
-   repo: git://github.com/doublify/pre-commit-clang-format
    rev: 62302476d0da01515660132d76902359bed0f782
    hooks:
    -   id: clang-format
#-   repo: https://github.com/cheshirekow/cmake-format-precommit
#    rev: v0.6.13
#    hooks:
#    - id: cmake-format
#    - id: cmake-lint
